Bug 67690 - Keyboard repeat rate won't work after resume from suspend
Keyboard repeat rate won't work after resume from suspend
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-29 12:14 EDT by Ilpo Nyyssonen
Modified: 2007-04-18 12:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-03-14 19:17:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ilpo Nyyssonen 2002-06-29 12:14:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020607

Description of problem:
With my HP Omnibook XE3 after resuming from hibernation the keyboard repeat rate
is not the same where it was before hibernating. If I try to set the repeat rate
back to the value I want it with command "xset r rate 250 30" the repeating
stops totally. After that it only outputs one character for example to xterm.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. xset r rate 250 30
1. Check that repeating works fast enough
2. Suspend
3. Resume
4. Press a key long enough to notice that the repeat rate is back to slow
5. xset r rate 250 30
6. Press a key again to notice that it won't repeat at all
	

Actual Results:  After the resume the repeating got back to the default value.
After trying to set it back, the repeating did not work at all, I only was able
to type one character at a keypress.

Expected Results:  Preferred would be that after suspend it would be the same as
it was before suspend. It could also work, if I would be able to get the
repeating back to where I want it automatically.

Additional info:

The problem did not occur with Red Hat 7.2 or XFree86 of Red Hat 7.2 installed
in Red Hat 7.3.
Comment 1 Mike A. Harris 2002-07-09 22:44:53 EDT
I'm curious if this problem only occurs on that specific notebook, or
if it occurs on all hardware resuming from suspend.

Arjan, have you heard any reports like this?  This is the first report
I've seen of this.
Comment 2 Mike A. Harris 2002-09-05 15:39:36 EDT
Defering for future investigation.
Comment 3 Mike A. Harris 2003-03-14 19:17:00 EST
Resolved in phoebe + rawhide updates.

Note You need to log in before you can comment on or make changes to this bug.